let safe_input_line ic =
  try 
    input_line ic
  with 
    End_of_file -> 
      exit 0
    
let _ =
  try 
    while true do
      let features = safe_input_line stdin in
      let cost_or_query = safe_input_line stdin in
      if cost_or_query <> ""
      then ()
      else 
	let first_space = String.index features ' ' in
	let theta = float_of_string (String.sub features 0 first_space) 
	and thetadot = 
	  float_of_string (String.sub features (first_space+1) (String.length features - first_space -1)) in
	let ret = if (thetadot *. 0.314 +. theta > 0.) then 2 else 0 in
	output_string stdout (string_of_int ret^"\n");
	flush stdout
    done
  with 
    f -> output_string stderr "optimal pole: "; raise f
