let generative = ref ""

let input_line ic = 
  try
    input_line ic
  with
    End_of_file -> exit 0

let _ =
  Recursive_arg.parse [] (fun x -> generative := x) "";

  let (ic,oc) = Unix.open_process !generative in
  print_string (input_line ic^"\n"); (* action space *)
  print_string (input_line ic^"\n"); (* initial observation *)
  print_string (input_line ic^"\n"); (* initial reward *)
  
  let current_state = ref (input_line ic) in (* initial state *)
  
  while true do
    let action = read_line () in
    output_string oc (!current_state^"\n"^action^"\n");
    flush oc;
    let observation = input_line ic
    and reward = input_line ic
    and state = input_line ic in
    current_state := state;
    print_string (observation^"\n"^reward^"\n");
    flush stdout;
  done
