open List;; 
open Kernel;;
open Kdtfunct.SimpleKdt;;
open Kdtfunct.SimplePoint;;
(* Important to hide away the weak-type variables in pointList *)
let pointList
= [ 
{location = [|0.2   ; 3.0|] ; weight = 1.0 };
{location = [|-0.25 ; 3.0|] ; weight = 1.0 };
{location = [|-0.21 ; 3.2|] ; weight = 1.0 };
{location = [|-0.21 ; 3.2|] ; weight = 1.0 };
{location = [|-0.21 ; 3.2|] ; weight = 1.0 };
{location = [|-0.21 ; 3.2|] ; weight = 1.0 };
{location = [|-0.21 ; 3.2|] ; weight = 1.0 };
{location = [|-0.27 ; 3.3|] ; weight = 1.0 };
{location = [|-0.21 ; 3.2|] ; weight = 1.0 };
{location = [|0.45 ; 3.21|] ; weight = 1.0 }
] in
let center =   [|-0.21 ; 3.2|] in
let locations = map (getLoc) pointList in
let weights = map (getWeight) pointList  in
let t = insertTree(pointList) in
let exact = kernelFun locations weights center in
let inexact = retrieve t  center in
let s = map stupid  pointList in 
Printf.printf "Exact %f Inexact %f \n" exact inexact

