#include <stdlib.h>
#include <math.h>
#include <time.h>
#include <limits.h>
#include <iostream.h>
#include "newmatio.h"
#ifdef use_namespace
using namespace NEWMAT;              // access NEWMAT namespace
#endif
#include "game.h"

//weight decay
const double weight_decay=0;

//general params
const int seedme=0;
const int fisher=0;
const int num_games=100;
const int num_searches=100;
const double robust_start=0.00001;
const double robust_later=0.00001;
const int robust_when=26;
const int good_end=1; //stops bad end-game actions

//rates
const double forget=0.9;
const double learn_grad=0.1;
const double learn_mom=0.0;
const double learn_momH=0.0;

struct grad_params
{
  Matrix H;
  ColumnVector mu;
};

void gsearch(ColumnVector & params, ColumnVector h);
grad_params gradient(ColumnVector params,int num_games_local);
ColumnVector stoch_control(ColumnVector params);






