//game.h
#ifndef _GAME_H_
#define _GAME_H_

const int width=10; 
const int height=23; 
const int end_height=20;  
const int fnum=22;


//const int width=3;
//const int height=6;
//const int end_height=3;


struct state_var
{
  Matrix x;
  ColumnVector phi; // the feature vector the 22 element is 1 (dumb)!
  double r;
  int object;
  int over;
};

struct control_var
{
  int p; //the poistion
  int r; //the rotation
};

class Game
{
 public:
  Game();
  state_var advance_game(control_var control) {
    state=action(control);
    return state;
  }
  state_var sim_game(control_var control) const {
    return action(control);
  }
  state_var reset_game() {
    state=start_state;
    return state;
  }
  state_var give_state() {
    return state;
  }

  // private:
  state_var state;
  state_var start_state;
  state_var action(control_var control) const;
  void state_update(state_var & state) const;
  void state_rep(state_var & next) const;
  int max(ColumnVector phi,int start,int finish) const;
};

#endif
