let deterministic_generative = ref ""

let input_line ic = 
  try
    input_line ic
  with
    End_of_file -> exit 0

let _ =
  Recursive_arg.parse [] (fun x -> deterministic_generative := x) 
    "usage: generative_from_deterministic_generative deterministic_generative_model";
  
  let (ic,oc) = Unix.open_process !deterministic_generative in
  Unix.set_close_on_exec (Unix.descr_of_out_channel oc);
  Unix.set_close_on_exec (Unix.descr_of_in_channel ic);
  
  print_string (input_line ic^"\n");
  print_string (input_line ic^"\n");
  print_string (input_line ic^"\n");
  print_string (input_line ic^"\n");
  while true do
    let state = input_line stdin
    and action = input_line stdin in
    output_string oc (state^"\n"^""^"\n"^action^"\n");
    flush oc;
    let observation = input_line ic
    and reward = input_line ic
    and state = input_line ic in
    print_string (observation^"\n"^reward^"\n"^state^"\n");
    flush stdout;
  done
