let left = '+'
let right = '-'

let parse speclist anonymous return =
  let new_argv = Array.create (Array.length Sys.argv) "" in
  let new_arg_point = ref 0 in
  let plus_count = ref 0 in

  for i = 0 to Array.length Sys.argv - 1 do (* group things at the lowest level only. *)
    if Sys.argv.(i).[0] = left 
    then incr plus_count;
    if !plus_count > 0 
    then new_argv.(!new_arg_point) <- new_argv.(!new_arg_point)^" "^Sys.argv.(i)
    else new_argv.(!new_arg_point) <- Sys.argv.(i); 

    if Sys.argv.(i).[String.length Sys.argv.(i) - 1] = right
    then plus_count := max (!plus_count -1) 0; 

    if !plus_count <= 0 
    then incr new_arg_point
  done;
  if !plus_count > 0 
  then incr new_arg_point;
  let new_argv = Array.sub new_argv 0 !new_arg_point in
  let new_argv = Array.map (fun x -> 
    if String.length x < 2
    then x
    else
      if x.[1] <> left
      then x
      else 
	let x = String.sub x 2 (String.length x - 2) in
	if x.[String.length x - 1] <> right
	then x 
	else String.sub x 0 (String.length x - 1)
			   ) new_argv in
  Arg.parse_argv new_argv speclist anonymous return

(*  
let args = ref []

let _ = 
  parse [] (fun x -> args := x::!args) "";
  let args = List.rev !args in
  List.iter (fun x -> print_string x; print_newline()) args
*)
